*** ./src/packet.h.00	Fri Apr 20 00:33:42 2007
--- ./src/packet.h	Mon Dec 10 09:32:00 2007
***************
*** 29,40 ****
  void _cdk_free_userid (cdk_pkt_userid_t uid);
  void _cdk_free_signature( cdk_pkt_signature_t sig );
  cdk_prefitem_t _cdk_copy_prefs( const cdk_prefitem_t prefs );
! int _cdk_copy_userid( cdk_pkt_userid_t *dst, cdk_pkt_userid_t src );
! int _cdk_copy_pubkey( cdk_pkt_pubkey_t* dst, cdk_pkt_pubkey_t src );
! int _cdk_copy_seckey( cdk_pkt_seckey_t* dst, cdk_pkt_seckey_t src );
! int _cdk_copy_pk_to_sk( cdk_pkt_pubkey_t pk, cdk_pkt_seckey_t sk );
! int _cdk_copy_signature( cdk_pkt_signature_t* dst, cdk_pkt_signature_t src );
! int _cdk_pubkey_compare( cdk_pkt_pubkey_t a, cdk_pkt_pubkey_t b );
  
  #endif /* CDK_PACKET_H */
  
--- 29,40 ----
  void _cdk_free_userid (cdk_pkt_userid_t uid);
  void _cdk_free_signature( cdk_pkt_signature_t sig );
  cdk_prefitem_t _cdk_copy_prefs( const cdk_prefitem_t prefs );
! cdk_error_t _cdk_copy_userid( cdk_pkt_userid_t *dst, cdk_pkt_userid_t src );
! cdk_error_t _cdk_copy_pubkey( cdk_pkt_pubkey_t* dst, cdk_pkt_pubkey_t src );
! cdk_error_t _cdk_copy_seckey( cdk_pkt_seckey_t* dst, cdk_pkt_seckey_t src );
! cdk_error_t _cdk_copy_pk_to_sk( cdk_pkt_pubkey_t pk, cdk_pkt_seckey_t sk );
! cdk_error_t _cdk_copy_signature( cdk_pkt_signature_t* dst, cdk_pkt_signature_t src );
! cdk_error_t _cdk_pubkey_compare( cdk_pkt_pubkey_t a, cdk_pkt_pubkey_t b );
  
  #endif /* CDK_PACKET_H */
  
*** ./src/verify.c.00	Sat May 12 06:26:11 2007
--- ./src/verify.c	Mon Dec 10 09:34:22 2007
***************
*** 42,48 ****
  };
  
  
! static int file_verify_clearsign (cdk_ctx_t, const char *, const char *);
  
  
  /**
--- 42,48 ----
  };
  
  
! static cdk_error_t file_verify_clearsign(cdk_ctx_t, const char *, const char *);
  
  
  /**
*** ./src/sign.c.00	Sat May 12 13:57:29 2007
--- ./src/sign.c	Mon Dec 10 09:35:09 2007
***************
*** 27,33 ****
  #include "stream.h"
  
  
! static int file_clearsign (cdk_ctx_t, cdk_strlist_t,
                             const char *, const char *);
  static int stream_clearsign (cdk_ctx_t, cdk_stream_t,
                               cdk_stream_t, cdk_strlist_t);
--- 27,33 ----
  #include "stream.h"
  
  
! static cdk_error_t file_clearsign (cdk_ctx_t, cdk_strlist_t,
                             const char *, const char *);
  static int stream_clearsign (cdk_ctx_t, cdk_stream_t,
                               cdk_stream_t, cdk_strlist_t);
*** ./src/keydb.c.00	Mon Oct 15 16:24:13 2007
--- ./src/keydb.c	Mon Dec 10 09:35:49 2007
***************
*** 91,97 ****
  
  
  static void keydb_cache_free (key_table_t cache);
! static int keydb_search_copy (cdk_dbsearch_t *r_dst, cdk_dbsearch_t src);
  static void keydb_search_free (cdk_dbsearch_t dbs);
  static int classify_data (const byte * buf, size_t len);
  static cdk_kbnode_t find_selfsig_node (cdk_kbnode_t key, cdk_pkt_pubkey_t pk);
--- 91,97 ----
  
  
  static void keydb_cache_free (key_table_t cache);
! static cdk_error_t keydb_search_copy(cdk_dbsearch_t *r_dst, cdk_dbsearch_t src);
  static void keydb_search_free (cdk_dbsearch_t dbs);
  static int classify_data (const byte * buf, size_t len);
  static cdk_kbnode_t find_selfsig_node (cdk_kbnode_t key, cdk_pkt_pubkey_t pk);
*** ./src/pubkey.c.00	Thu May 24 11:14:06 2007
--- ./src/pubkey.c	Mon Dec 10 09:36:28 2007
***************
*** 1240,1246 ****
  
  
  /* Get the fingerprint of the packet if possible. */
! int
  _cdk_pkt_get_fingerprint (cdk_packet_t pkt, byte *fpr)
  {
    if (!pkt || !fpr)
--- 1240,1246 ----
  
  
  /* Get the fingerprint of the packet if possible. */
! cdk_error_t
  _cdk_pkt_get_fingerprint (cdk_packet_t pkt, byte *fpr)
  {
    if (!pkt || !fpr)
*** ./src/stream.c.00	Thu Nov  8 10:31:45 2007
--- ./src/stream.c	Mon Dec 10 09:37:32 2007
***************
*** 35,42 ****
  /* This is the maximal amount of bytes we map. */
  #define MAX_MAP_SIZE 16777216
  
! static int stream_flush (cdk_stream_t s);
! static int stream_filter_write (cdk_stream_t s);
  static int stream_cache_flush (cdk_stream_t s, FILE *fp);
  
  /* Customized tmpfile() version from misc.c */
--- 35,42 ----
  /* This is the maximal amount of bytes we map. */
  #define MAX_MAP_SIZE 16777216
  
! static cdk_error_t stream_flush (cdk_stream_t s);
! static cdk_error_t stream_filter_write (cdk_stream_t s);
  static int stream_cache_flush (cdk_stream_t s, FILE *fp);
  
  /* Customized tmpfile() version from misc.c */
*** ./Install-OSR6.00	Mon Dec 10 09:38:25 2007
--- ./Install-OSR6	Mon Dec 10 09:38:36 2007
***************
*** 0 ****
--- 1,12 ----
+ #!/bin/sh
+ 
+ MOUT=mout-install
+ D=/u/tmp/opencdk
+ DESTDIR=$D
+ export DESTDIR
+ 
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D
+ make install DESTDIR=$D 2>&1 | tee $MOUT
+ 
